# Performance test data

ArchLinux on a Dell Optiplex 3020 workstation, 4-core Intel(R) Core(TM) i5-4590
CPU @ 3.30GHz, 16Gb RAM, SSD

Decode LoC Children's Subjects SKOS/RDF
[NT](https://id.loc.gov/download/authorities/childrensSubjects.skosrdf.nt.gz)
and
[TTL](https://id.loc.gov/download/authorities/childrensSubjects.skosrdf.ttl.gz)
(379,163 triples):

NT format: 1.08"
TTL format: 1.6"

Decode LoC Subject Headings
[NT](https://id.loc.gov/download/authorities/subjects.skosrdf.nt.gz)
and
[TTL](https://id.loc.gov/download/authorities/subjects.skosrdf.ttl.gz)
(10,116,071 triples):

NT: 29.5"
TTL: 43.2"

These measurements have been taken using Python scripts in the `test` folder:

```
time python test/massif<n>_<nt|ttl>.py
```

Each script simply parses the RDF file and loads it into an in-memory graph.
